#!/usr/bin/env bash

SCRIPT_DIR=$(dirname $(readlink -f "$0"))
MAA_PY="$SCRIPT_DIR/ArknightsMaaConfig/maa.py"
MAA_LOG_DIR="${MAA_LOG:-/var/log/maa.log}"

if [ -x "$MAA_PY" ]; then
    "$MAA_PY" > "$MAA_LOG_DIR" 2>&1
else
    python3 "$MAA_PY" > "$MAA_LOG_DIR" 2>&1
fi